Get a transfer
curl --request GET \
--url https://api-sandbox.circle.com/v1/businessAccount/transfers/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-sandbox.circle.com/v1/businessAccount/transfers/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-sandbox.circle.com/v1/businessAccount/transfers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "b8627ae8-732b-4d25-b947-1df8f4007a29",
"source": {
"type": "wallet",
"id": "12345",
"identities": [
{
"type": "individual",
"name": "Satoshi Nakamoto",
"addresses": [
{
"line1": "100 Money Street",
"line2": "Suite 1",
"city": "Boston",
"district": "MA",
"postalCode": "01234",
"country": "US"
}
]
}
],
"useMainWalletFunding": false
},
"destination": {
"type": "blockchain",
"address": "0x8381470ED67C3802402dbbFa0058E8871F017A6F",
"addressTag": "123456789",
"chain": "ALGO"
},
"amount": {
"amount": "3.14",
"currency": "USD"
},
"fees": [
{
"amount": "10.00",
"currency": "USD",
"type": "network"
}
],
"transactionHash": "0x4cebf8f90c9243a23c77e4ae20df691469e4b933b295a73376292843968f7a63",
"status": "pending",
"errorCode": "transfer_failed",
"createDate": "2020-04-10T02:13:30.000Z",
"customerExternalRef": "INV-2024-001234"
}
}GET
/
v1
/
businessAccount
/
transfers
/
{id}
Get a transfer
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Universally unique identifier (UUID v4) of a resource.
Example:
"b3d9d2d5-4c12-4946-a09d-953e82fae2b0"
Response
200 - application/json
Successfully retrieved a transfer.
A transfer of funds.
Show child attributes
Show child attributes
Was this page helpful?
⌘I